Subject: Re: unsafe locks seen with netperf on net-2.6.29 tree

From: Ingo Molnar <[email-masked]>
Date: Mon, 29 Dec 2008 13:16:26 +0100

* Herbert Xu <[email-masked]> wrote:

> On Mon, Dec 29, 2008 at 12:58:27PM +0100, Ingo Molnar wrote:
> >
> > no, i only applied one of them. Is his second patch a good solution in 
> > your opinion, and should i thus test both of them? (or will the second one 
> > iterate some more - in which case i will keep the revert for now)
> 
> Well the second patch is definitely the right solution to the problem as 
> reported.  It just needs to be extended to fix other similar bugs 
> introduced by the original changeset.

okay - will keep the revert for now and will wait for you guys to do the 
full fix.

	Ingo